Skip to main content
GET
/
connectors
/
consumers
/
{consumer_id}
/
rewards
Get the list of rewards.
curl --request GET \
  --url https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/rewards \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/rewards"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/rewards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "amount": -23.68,
      "type": "CASHBACK",
      "consumer_id": "<string>",
      "created_at": "2019-01-31T15:16:15.523309+00:00",
      "executed_at": "2019-01-31T12:00:00+00:00",
      "id": "e2c32b4b-de61-459b-accf-a75f76247946",
      "links": {
        "details": "<string>"
      },
      "name": "<string>",
      "origin": "<string>",
      "paid_out_at": "2023-11-07T05:31:56Z",
      "status": "<string>"
    }
  ],
  "meta": {
    "page": 123,
    "per_page": 123,
    "total": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

consumer_id
string
required

The id you used to create the given consumer

Query Parameters

amount
number

Filter by amount

Amount of the transaction

bankwire_ref
string

Filter by bankwire_ref

consumer
string

Filter by consumer

Consumer

created_at
string

Filter by created_at

Filtering on date of creation between -- after -- before --

executed_at
string

Filter by executed_at

Execution date of the transaction

page
integer

the page number

Required range: x >= 1
per_page
integer

the number of elements per page

Required range: 1 <= x <= 100
sort
enum<string>

Sort by given attribute

Available options:
amount,
status,
created_at,
executed_at,
consumer,
bankwire_ref,
type,
-amount,
-status,
-created_at,
-executed_at,
-consumer,
-bankwire_ref,
-type
status
enum<string>

Filter by status

Available options:
CANCELLED,
PENDING_VALIDATION,
VALIDATED,
PAID_IN,
PAID_OUT,
ERROR
type
enum<string>

Filtering on reward type

Available options:
CASHBACK,
GIFT,
CASHBACK_AFFILIATION

Response

OK

items
object[]
meta
object